Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 11634

Description

Hi,

I have QGIS 1.0.1 for windows installed from OSGEO4W.

If I try to open a simple ECW (67 MB), QGIS is taking too long to open it (about 30-40 seconds). It seems that it doesn't use overviews

anymore.

Warmerdam says from OSGEO4W mailing list:

The ECW driver does not report having any specific overview levels

and this defeats certain optimizations in the statistics computation.

I believe this has a bad effect when an ecw layer is first added to

qgis but browsing after that should be fast.

The fix is to make the histogram computing logic smarter

(I'm not positive if QGIS is using it's own or GDAL's logic)

so that for formats like ECW with "arbitrary overviews" a

small overview sample of data will be fetched for statistics.

I believe this issue is the same in all modern QGIS+GDAL

builds, not just specifically in OSGeo4W or windows.

History

#1 - 2009-07-19 06:06 AM - Giovanni Manghi

I this still true?

On qgis 1.2 from trunk it took under a second to open a 56.5mb ECW raster image. The same under windows with qgis 1.0.2.

Please leave feedback.

#2 - 2009-07-22 03:29 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Open to Closed
Tested again on different platforms and boxes, and seems fine, at least with the data in ecw format I have. I close this, but please reopen if necessary.

#3 - 2009-09-21 04:20 AM - luca76 -

confirmed, 1.3.0: now it's MUCH faster!
